# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell
%global pkg_name binary-shared

# common part of summary for all the subpackages
%global common_summary Haskell library for sharing binary elements

# main description used for all the subpackages
%global common_description Provides capability to share elements created by binary package.

Name:           ghc-%{pkg_name}
Version:        0.8.1
Release:        4%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
BuildRequires:  ghc-binary-prof, ghc-mtl-prof


%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

# define the shared, devel and prof subpkgs, devel scripts,
# and filelists: ghc-binary-shared.files, ghc-binary-shared-devel.files
%ghc_lib_package


%changelog
* Tue Jun 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.1-4
- Update to cabal2spec - 0.23.2

* Mon Jun 20 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.1-3
- Update to  cabal2spec - 0.23.1

* Sat Mar 26 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.1-2
- Update to  cabal2spec - 0.22.5

* Sun Oct 10 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.1-1
- Modified description
- Modified license
- Modified dependencies

* Sun Oct 10 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.8.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
